select count(0) fcount, convert(varchar(10), fdate, 120) fdate
from tuserrequestlog
where siteid =$siteid$ and convert (varchar (10)
    , fdate
    , 120)>=$fbegdate$ and convert (varchar (10)
    , fdate
    , 120)<=$fenddate$
group by convert (varchar (10), fdate, 120)